<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# meta

	$title = 'Новая категория » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Новая категория';
	
	# adm

	system::adm();

	# post

	if (isset($_POST['CFMS'])): 

	$name  = system::check($_POST['name']);
	$CK    = system::check($_POST['CK']);			

	if (system::utf_strlen($name) > 5 && system::utf_strlen($name)	< 51):		
	if ($user['CK'] == $CK):			

	DB :: $dbh -> query("INSERT INTO cat (name) VALUES (?);",array($name));
	
	$id = DB :: $dbh -> lastInsertId();	
	
	cache_cat::save($id);	

	system::header('/admin/cat','Успешно',1);		

	# error
	
	else: system::header('?','Ошибка, возможно вам подкинули эту ссылку'); endif;
	else: system::header('?','Название от 5 до 100 символов'); endif;

	endif;

	# head

	require_once ( head );

	echo '
	<div class="touch">
	<form action="" method="post">
	<input type="hidden" name="CK" value = "'.$user['CK'].'">
	Имя:<br>
	<input name="name" type="text" value=""><br>
	<input name="CFMS" type="submit" value="Добавить"></form>
	</div>
	<a href="'.site.'admin/cat" class="touch">« Назад</a>
	';

	# foot

	require_once ( foot ) ;
?>